<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_HotelBookingRulesAdvancedOptions StructType
 * @subpackage Structs
 */
class JP_HotelBookingRulesAdvancedOptions extends JP_BookingRulesAdvancedOptions
{
    /**
     * The ShowCompleteInfo
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var bool
     */
    public $ShowCompleteInfo;
    /**
     * Constructor method for JP_HotelBookingRulesAdvancedOptions
     * @uses JP_HotelBookingRulesAdvancedOptions::setShowCompleteInfo()
     * @param bool $showCompleteInfo
     */
    public function __construct($showCompleteInfo = null)
    {
        $this
            ->setShowCompleteInfo($showCompleteInfo);
    }
    /**
     * Get ShowCompleteInfo value
     * @return bool|null
     */
    public function getShowCompleteInfo()
    {
        return $this->ShowCompleteInfo;
    }
    /**
     * Set ShowCompleteInfo value
     * @param bool $showCompleteInfo
     * @return \StructType\JP_HotelBookingRulesAdvancedOptions
     */
    public function setShowCompleteInfo($showCompleteInfo = null)
    {
        // validation for constraint: boolean
        if (!is_null($showCompleteInfo) && !is_bool($showCompleteInfo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($showCompleteInfo)), __LINE__);
        }
        $this->ShowCompleteInfo = $showCompleteInfo;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_HotelBookingRulesAdvancedOptions
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
